import request from "@/utils/request";

// 企业服务需求列表
export const demandList = (params) => {
  return request({
    url: "/app/demandList",
    method: "GET",
    params,
  });
};
// 新增企业服务需求
export const insertDemand = (data) => {
  return request({
    url: "/app/insertDemand",
    method: "post",
    data,
  });
};

// 企业技术需求列表
export const technologyDemandList = (params) => {
  return request({
    url: "/app/technologyDemandList",
    method: "GET",
    params,
  });
};

// 新增企业技术需求
export const insertTechnologyDemand = (data) => {
  return request({
    url: "/app/insertTechnologyDemand",
    method: "POST",
    data,
  });
};

// 企业技术需求详情
export const getTechnologyDemand = (params) => {
  return request({
    url: `/app/getTechnologyDemand`,
    method: "GET",
    params,
  });
};
// 修改企业技术需求详情
export const updateTechnologyDemand = (data) => {
  return request({
    url: `/app/updateTechnologyDemand`,
    method: "POST",
    data,
  });
};
// 删除企业技术需求
export const deleteTechnologyDemand = (ids) => {
  return request({
    url: `/app/technologyDemand/${ids}`,
    method: "DELETE",
  });
};
